Skip to main content
POST
/
dashboard
/
total-balance
/
aggregates
Get Total Balance Aggregate
curl --request POST \
  --url https://gateway.varchev.com/wallet/dashboard/total-balance/aggregates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "walletId": "<string>",
  "overview": [
    "<string>"
  ],
  "inTermsOf": "EUR"
}
'
{
  "totalBalance": 123,
  "twentyFourHourPercentage": 123,
  "twentyFourHourChange": 123,
  "totalBalanceByAssets": {
    "labels": [
      "<string>"
    ],
    "data": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string

Tenant Id

Body

application/json
walletId
string
overview
string[]
inTermsOf
enum<string>
Available options:
EUR,
USD

Response

200 - application/json

Get Total Balance Aggregate

totalBalance
number
required
twentyFourHourPercentage
number
required
twentyFourHourChange
number
required
totalBalanceByAssets
object
required